DF(1)

NAME
df - display free disk space

SYNOPSIS
df [ -b | -h | -H | -k | -m | -P] [-ain] [-t type] [file | filesystem ...]

DESCRIPTION
Df displays statistics about the amount of free disk space on the specified filesystem or on the filesystem of which file is a part. Values are displayed in 512-byte per block counts. If neither a file or a filesystem operand is specified, statistics for all mounted filesystems are displayed (subject to the -t option below).

The following options are available:

-a  Show all mount points, including those that were mounted with the MNT_IGNORE flag.

-b  Use 512-byte blocks rather than the default. Note that this overrides the BLOCKSIZE specification from the environment.

-g  Use 1073741824-byte (1-Gbyte) blocks rather than the default. Note that this overrides the BLOCKSIZE specification from the environment.

-H  "Human-readable" output. Use unit suffixes: Byte, Kilobyte, Megabyte, Gigabyte, Terabyte and Petabyte in order to reduce the number of digits to three or less using base 10 for sizes.

-h  "Human-readable" output. Use unit suffixes: Byte, Kilobyte, Megabyte, Gigabyte, Terabyte and Petabyte in order to reduce the number of digits to three or less using base 2 for sizes.

-i  Include statistics on the number of free inodes.

-k  Use 1024-byte (1-Kbyte) blocks rather than the default. Note that this overrides the BLOCKSIZE specification from the environment.

-m  Use 1048576-byte (1-Mbyte) blocks rather than the default. Note that this overrides the BLOCKSIZE specification from the environment.

-n  Print out the previously obtained statistics from the filesystems. This option should be used if it is possible that one or more filesystems are in a state such that they will not be able to provide statistics without a long delay. When this option is specified, df will not request new statistics from the filesystems, but will respond with the possibly stale statistics that were previously obtained.

-P  Use POSIX compliant output of 512-byte blocks rather than the default. Note that this overrides the BLOCKSIZE specification from the environment.

-t  Only print out statistics for filesystems of the specified types. More than one type may be specified in a comma separated list. The list of filesystem types can be prefixed with “no” to specify the filesystem types for which action should not be taken. For example, the df command:

        df -t nonfs,mfs

    lists all filesystems except those of type NFS and MFS. The lsvfs(1) command can be used to find out the types of filesystems that are available on the system.

ENVIRONMENT

BLOCKSIZE
    If the environment variable BLOCKSIZE is set, the block counts will be displayed in units of that size block.

BUGS
The -n and -t flags are ignored if a file or filesystem is specified.

SEE ALSO
lsvfs(1), quota(1), fstatfs(2), getfsstat(2), statfs(2), getmntinfo(3), fstab(5), mount(8), quot(8)

HISTORY
A df command appeared in AT&T UNIX.